using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Misc;

namespace Server.Mobiles
{
	[CorpseName( "a minotaur corpse" )]
	public class Minotaur : BaseCreature
	{
		[Constructable]
		public Minotaur() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a minotaur";
			Body = Utility.RandomList( 97, 343 );
			BaseSoundID = 0x5DF;

			SetStr( 256, 280 );
			SetDex( 116, 135 );
			SetInt( 61, 80 );

			SetHits( 196, 220 );
			SetStam( 76, 95 );
			SetMana( 0 );

			SetDamage( 12, 24 );

			SetSkill( SkillName.MagicResist, 56.1, 64.0 );
			SetSkill( SkillName.Tactics, 80.1, 90.0 );
			SetSkill( SkillName.HandToHand, 80.1, 90.0 );

			Fame = 4000;
			Karma = -4000;

			VirtualArmor = 40;

			PackItem( new DoubleAxe() );
		}
		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average, 2 );
		}

		public Minotaur( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
